from setuptools import find_packages, setup

with open("README.md", "r") as f:
    long_description = f.read()

setup(
    name="soypedroamayat1",
    version="0.0.0",
    description="An id generator that generated various types and lengths ids",
    package_dir={"": "src"},
    packages=find_packages(where="src"),
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com",
    author="Pedro Amaya",
    author_email="soypedroamaya@gmail.com",
    license="MIT",
    classifiers=[
        "License :: OSI Approved :: MIT License",
        "Programming Language :: Python :: 3.10",
        "Operating System :: OS Independent",
    ],
    install_requires=[
        "alabaster==0.7.13",
        "argcomplete==2.0.6",
        "Babel==2.12.1",
        "black==23.3.0",
        "bleach==6.0.0",
        "build==0.10.0",
        "certifi==2022.12.7",
        "cffi==1.15.1",
        "charset-normalizer==2.1.1",
        "click==8.1.3",
        "colorama==0.4.6",
        "commitizen==2.42.1",
        "cryptography==40.0.2",
        "decli==0.5.2",
        "docutils==0.18.1",
        "exceptiongroup==1.1.1",
        "flake8==6.0.0",
        "idna==3.4",
        "imagesize==1.4.1",
        "importlib-metadata==6.6.0",
        "iniconfig==2.0.0",
        "jaraco.classes==3.2.3",
        "jeepney==0.8.0",
        "Jinja2==3.1.2",
        "keyring==23.13.1",
        "markdown-it-py==2.2.0",
        "MarkupSafe==2.1.2",
        "mccabe==0.7.0",
        "mdit-py-plugins==0.3.5",
        "mdurl==0.1.2",
        "more-itertools==9.1.0",
        "mypy-extensions==1.0.0",
        "myst-parser==1.0.0",
        "packaging==23.1",
        "pathspec==0.11.1",
        "pkginfo==1.9.6",
        "platformdirs==3.2.0",
        "pluggy==1.0.0",
        "prompt-toolkit==3.0.38",
        "pycodestyle==2.10.0",
        "pycparser==2.21",
        "pyflakes==3.0.1",
        "Pygments==2.15.1",
        "pyproject_hooks==1.0.0",
        "pytest==7.3.1",
        "PyYAML==6.0",
        "questionary==1.10.0",
        "readme-renderer==37.3",
        "requests==2.28.2",
        "requests-toolbelt==0.10.1",
        "rfc3986==2.0.0",
        "rich==13.3.4",
        "SecretStorage==3.3.3",
        "six==1.16.0",
        "snowballstemmer==2.2.0",
        "Sphinx==6.1.3",
        "sphinx-rtd-theme==1.2.0",
        "sphinxcontrib-applehelp==1.0.4",
        "sphinxcontrib-devhelp==1.0.2",
        "sphinxcontrib-htmlhelp==2.0.1",
        "sphinxcontrib-jquery==4.1",
        "sphinxcontrib-jsmath==1.0.1",
        "sphinxcontrib-qthelp==1.0.3",
        "sphinxcontrib-serializinghtml==1.1.5",
        "termcolor==2.2.0",
        "tomli==2.0.1",
        "tomlkit==0.11.7",
        "twine==4.0.2",
        "typing_extensions==4.5.0",
        "urllib3==1.26.15",
        "wcwidth==0.2.6",
        "webencodings==0.5.1",
        "zipp==3.15.0",
    ],
    python_requires=">=3.10",
)
